#
# spec file for package plasma5-sdk
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           plasma5-sdk
Version:        5.2.95
Release:        0
Summary:        Plasma SDK
License:        LGPL-2.0+
Group:          System/GUI/KDE
Url:            https://projects.kde.org/projects/extragear/sdk/plasmate
Source:         plasma-sdk-%{version}.tar.xz
BuildRequires:  attica-qt5-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  frameworkintegration-devel
BuildRequires:  karchive-devel
BuildRequires:  kauth-devel
BuildRequires:  kbookmarks-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcrash-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdeclarative-devel > 5.7.0
BuildRequires:  kf5-filesystem
BuildRequires:  kglobalaccel-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kidletime-devel
BuildRequires:  kio-devel
BuildRequires:  kitemmodels-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kjobwidgets-devel
BuildRequires:  kjs-devel
BuildRequires:  knewstuff-devel
BuildRequires:  knotifications-devel
BuildRequires:  kparts-devel
BuildRequires:  kross-devel
BuildRequires:  kservice-devel
BuildRequires:  ktexteditor-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kunitconversion-devel
BuildRequires:  kwallet-framework-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  solid-devel
BuildRequires:  sonnet-devel
BuildRequires:  threadweaver-devel
BuildRequires:  xz
BuildRequires:  pkgconfig(Qt5Core) >= 5.2.0
BuildRequires:  pkgconfig(Qt5PrintSupport) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Quick) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Svg) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
BuildRequires:  pkgconfig(Qt5WebKitWidgets) >= 5.2.0
BuildRequires:  pkgconfig(Qt5X11Extras) >= 5.2.0
Recommends:     %{name}-lang
Conflicts:      plasmate
Provides:       plasmate5 = %{version}
Obsoletes:      plasmate5 <= %{version}
Requires:       plasmaengineexplorer5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Plasma SDK taylored for development of Plasma components,
such as Widgets, Runners, Dataengines.

%package -n plasmaengineexplorer5
Summary:        Provides direct access to plasma data engines
License:        GPL-2.0
Group:          Development/Tools/Other
Conflicts:      plasmate

%description -n plasmaengineexplorer5
Plasmaengineexplorer is a graphical tool allowing developers to
test Plasma data engines without writing a Plasma applet.

%lang_package
%prep
%setup -q -n plasma-sdk-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  #sed -i '/^Icon=/d' %%{buildroot}%%{_kf5_applicationsdir}/plasmate.desktop

if [ -e po ]; then
%find_lang remote-widgets-browser %{name}.lang
%find_lang plasmoidviewer %{name}.lang
%find_lang plasmawallpaperviewer %{name}.lang
%find_lang plasmate %{name}.lang
%find_lang plasmaengineexplorer %{name}.lang
else
touch %{name}.lang
fi

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files lang -f %{name}.lang

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_bindir}/cuttlefish
%{_kf5_bindir}/plasmoidviewer
#{_kf5_bindir}/plasmate
#{_kf5_bindir}/plasmakconfigxteditor
%{_kf5_bindir}/plasmathemeexplorer
%{_kf5_sharedir}/plasma/
#{_kf5_sharedir}/plasmate/
%{_kf5_sharedir}/kpackage/
#{_kf5_sharedir}/kdevsavesystemview/
%{_kf5_servicesdir}/
%{_kf5_plugindir}/
#{_kf5_applicationsdir}/plasmate.desktop
#config %%{_kf5_configdir}/plasmate.knsrc

%files -n plasmaengineexplorer5
%defattr(-,root,root)
%doc COPYING*
%{_kf5_bindir}/plasmaengineexplorer

%changelog
